## ros-indigo-ecto-opencv 0.6.2

=== cells/CMakeLists.txt ===
add_subdirectory(opencv)

#opencv boost::python bindings
add_subdirectory(cv_bp)

=== samples/CMakeLists.txt ===
macro(validate_sample pyfile)
  string(REPLACE ";" " " args "${ARGN}")
  add_test(validate_opencv_${pyfile}
    ${CATKIN_ENV} ${CMAKE_CURRENT_SOURCE_DIR}/validate_sample.sh ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/${pyfile}.py ${args}
    )
endmacro()

validate_sample(vidcap)
validate_sample(image_saving)
validate_sample(dir_reader)
validate_sample(bilateral)
validate_sample(calibrator)
validate_sample(dot_poser)
validate_sample(orb_sample)
validate_sample(rescale)

macro(desktop_test_sample pyfile)
  string(REPLACE ";" " " args "${ARGN}")
  add_test(desktop_test_opencv_${pyfile}
    ${CATKIN_ENV} ${CMAKE_CURRENT_SOURCE_DIR}/desktop_test.sh ${CMAKE_CURRENT_SOURCE_DIR}/${pyfile}.py ${args}
    )
endmacro()

option(DESKTOP_TEST "Desktop tests will attempt to run each opencv test which may required a video device." OFF)
if(DESKTOP_TEST)
    desktop_test_sample(vidcap)
    desktop_test_sample(image_saving)
    desktop_test_sample(dir_reader)
    desktop_test_sample(bilateral)
    desktop_test_sample(calibrator)
    desktop_test_sample(dot_poser)
    desktop_test_sample(orb_sample)
    desktop_test_sample(rescale)
endif()

=== test/CMakeLists.txt ===
catkin_add_nosetests(doc_opencv.py)
catkin_add_nosetests(test_image_saver.py)

add_subdirectory(cells)

=== cells/opencv/CMakeLists.txt ===
add_subdirectory(calib)
add_subdirectory(features2d)
add_subdirectory(imgproc)
add_subdirectory(highgui)
add_subdirectory(rgbd)

=== test/cells/CMakeLists.txt ===
ectomodule(opencv_test DESTINATION ecto_opencv
  module.cpp
  ImageGen.cpp
  MatGen.cpp
  )
link_ecto(opencv_test ${OpenCV_LIBS})

=== cells/opencv/highgui/CMakeLists.txt ===
find_library(V4L2_LIBRARY v4l2)

if (V4L2_LIBRARY)
  message(STATUS "Adding support for v4l2 image capture")
  set(EXTRA_SRC V4LCapture.cpp)
  set(EXTRA_LIB v4l2)
endif()

ectomodule(highgui DESTINATION ecto_opencv
                   INSTALL
    module.cpp
    FPSDrawer.cpp
    DoubleDrawer.cpp
    FileIO.cpp
    ImageReader.cpp
    ImageSaver.cpp
    imread.cpp
    imshow.cpp
    MatPrinter.cpp
    NiConverters.cpp
    #OpenNICapture.cpp
    ${EXTRA_SRC}
    VideoCapture.cpp
    VideoWriter.cpp
    serialization.cpp
    )
link_ecto(highgui ${OpenCV_LIBS} ${EXTRA_LIB} ${cv_backports_LIBRARIES})

=== cells/opencv/imgproc/CMakeLists.txt ===
ectomodule(imgproc DESTINATION ecto_opencv
                   INSTALL
    module.cpp
    Adder.cpp
    BilateralFilter.cpp
    BitWiseAnd.cpp
    BitWiseNot.cpp
    Canny.cpp
    CartToPolar.cpp
    EqualizeHistogram.cpp
    Erode.cpp
    cvtColor.cpp
    GaussianBlur.cpp
    MedianBlur.cpp
    NanRemove.cpp
    Quantize.cpp
    Scale.cpp
    Scharr.cpp
    Sobel.cpp
    Split.cpp
    SplitThree.cpp
    Subtract.cpp
    VerticalStepFilter.cpp
    )

link_ecto(imgproc ${OpenCV_LIBS})

=== debian/changelog ===
ros-indigo-ecto-opencv (0.6.2-0trusty) trusty; urgency=high

  * fix compilation with OpenCV3
  * Fix version check logic
  * Contributors: Scott K Logan, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Apr 2016 22:00:00 -0000

ros-indigo-ecto-opencv (0.6.1-0trusty) trusty; urgency=high

  * Fix compatibility with OpenCV 2.4.11+
  * Contributors: Scott K Logan, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-ecto-opencv (0.6.0-0trusty) trusty; urgency=high

  * add proper rosunit dependency
  * convert Python tests to proper nose tests
  * use cv_backports to pull in opencv2.4.9 imshows with zoom and parallel thread support.
  * Contributors: Daniel Stonier, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 May 2015 22:00:00 -0000

ros-indigo-ecto-opencv (0.5.6-0trusty) trusty; urgency=high

  * fix non-existence of radiusMatch for LSH
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 18 Apr 2015 22:00:00 -0000

ros-indigo-ecto-opencv (0.5.5-0trusty) trusty; urgency=high

  * compile with the latest opencv_candidate
  * use OpenCV's LSH
  * remove useless file
  * clean extensions
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 28 Mar 2015 23:00:00 -0000

ros-indigo-ecto-opencv (0.5.4-0trusty) trusty; urgency=high

  * remove SSE dependency
    That would not work on ARM as explained in #29 <https://github.com/plasmodic/ecto_opencv/issues/29> plus it is useless
    now: opencv_candidate deals with it and it uses OpenCV flags
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 02 Jan 2015 23:00:00 -0000

ros-indigo-ecto-opencv (0.5.3-0trusty) trusty; urgency=high

  * Added FPS scale param
  * recursive directory creation.
  * speedup normal display
  * fix depth cleaner
  * add a normal sample
  * Contributors: Daniel Stonier, Vincent Rabaud, kentsommer

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 26 Jul 2014 22:00:00 -0000

ros-indigo-ecto-opencv (0.5.2-0trusty) trusty; urgency=high

  * rely on opencv_candidate to get the OpenCV dependency
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Apr 2014 22:00:00 -0000

ros-indigo-ecto-opencv (0.5.1-0trusty) trusty; urgency=high

  * get code to compile on Indigo
  * fix shadow effect on clusters
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Apr 2014 22:00:00 -0000

ros-indigo-ecto-opencv (0.5.0-0trusty) trusty; urgency=high

  * drop Fuerte support
  * fix compatibility with Boost until 1.54

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 18 Dec 2013 21:12:06 +0100

=== debian/control ===
Source: ros-indigo-ecto-opencv
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-indigo-catkin, ros-indigo-cv-backports, ros-indigo-ecto, ros-indigo-opencv-candidate, ros-indigo-rosunit
Homepage: http://plasmodic.github.io/ecto_opencv
Standards-Version: 3.9.2

Package: ros-indigo-ecto-opencv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-indigo-cv-backports, ros-indigo-ecto, ros-indigo-opencv-candidate
Description: Ecto bindings for common opencv functionality.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ecto-opencv//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
